/*
 * Code commons to all DaVinci SoCs.
 *
 * Author: Mark A. Greer <mgreer@mvista.com>
 *
 * 2009 (c) MontaVista Software, Inc. This file is licensed under
 * the terms of the GNU General Public License version 2. This program
 * is licensed "as is" without any warranty of any kind, whether express
 * or implied.
 */

#include <common.h>

#include <mach/common.h>

#include "clock.h"

struct davinci_soc_info davinci_soc_info;
EXPORT_SYMBOL(davinci_soc_info);

void davinci_common_init(struct davinci_soc_info *soc_info)
{
	memcpy(&davinci_soc_info, soc_info, sizeof(struct davinci_soc_info));
	davinci_clk_init(davinci_soc_info.cpu_clks);
}

